For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of integrations
      • POSTCreate an integration
      • GETGet a list of mandates
      • POSTTest whether the integration connection is successful
      • GETGet an integration by its ID
      • DELDeleting an integration by its ID
      • PATCHUpdate an integration by its ID
      • POSTDeprecate an integration
      • POSTActivate an integration
      • POSTArchive an integration
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIIntegrations

Get a list of mandates

GET
/v:version/integrations/e-invoicing/default-mandates
GET
/v:version/integrations/e-invoicing/default-mandates
$curl https://test.api.solvimon.com/v1/integrations/e-invoicing/default-mandates \
> -H "X-API-KEY: <apiKey>"
1[
2 {
3 "name": "string",
4 "country": "string",
5 "mappings": [
6 {
7 "target": "string",
8 "source": "string",
9 "description": "string"
10 }
11 ],
12 "condition_groups": [
13 {
14 "conditions": [
15 {
16 "field": "string",
17 "comparator_type": "EQUALS",
18 "value": "string"
19 }
20 ]
21 }
22 ],
23 "include_pdf_in_einvoice": true,
24 "supported_file_formats": [
25 {
26 "type": "string",
27 "description": "string"
28 }
29 ]
30 }
31]
Requires the INTEGRATION.VIEW permission.
Was this page helpful?
Previous

Test whether the integration connection is successful

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
namestring
The name of the mandate
countrystring or nullRead-only
The country that this mandate belongs to
mappingslist of objects or null
The mappings that are used for this Mandate. If not provided, all mappings will be default. If provided, will be merged with defaults
condition_groupslist of objects or null
The condition groups that are used for this mandate. If provided, no defaults will be used. The mandate applies if 1 conditionGroup applies
include_pdf_in_einvoiceboolean or null
Whether the PDF should be included in the submitted eInvoice payload when supported
supported_file_formatslist of objects or nullRead-only
The file formats in which eInvoices for this mandate can be downloaded

Errors

401
Unauthorized Error
403
Forbidden Error